org.apache.cassandra.cql3.statements

## Class SelectStatement.RawStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.CFStatement
    - - org.apache.cassandra.cql3.statements.SelectStatement.RawStatement

Enclosing class:
  SelectStatement

    public static class SelectStatement.RawStatement
    extends CFStatement

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`ParsedStatement.Prepared`

### Field Summary

Fields
`Term.Raw` `limit`
`SelectStatement.Parameters` `parameters`
`Term.Raw` `perPartitionLimit`
`java.util.List<RawSelector>` `selectClause`
`WhereClause` `whereClause`

### Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement

`cfName`

### Constructor Summary

Constructors
Constructor and Description
`RawStatement(CFName cfName, SelectStatement.Parameters parameters, java.util.List<RawSelector> selectClause, WhereClause whereClause, Term.Raw limit, Term.Raw perPartitionLimit)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ParsedStatement.Prepared` `prepare(boolean forView, ClientState clientState)`
`ParsedStatement.Prepared` `prepare(ClientState clientState)`
`java.lang.String` `toString()`

### Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement

`columnFamily, keyspace, prepareKeyspace, prepareKeyspace`

### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`getBoundVariables, getFunctions, setBoundVariables, setBoundVariables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### parameters

    public final SelectStatement.Parameters parameters

#### selectClause

    public final java.util.List<RawSelector> selectClause

#### whereClause

    public final WhereClause whereClause

#### limit

    public final Term.Raw limit

#### perPartitionLimit

    public final Term.Raw perPartitionLimit

### Constructor Detail

#### RawStatement

    public RawStatement(CFName cfName,
                        SelectStatement.Parameters parameters,
                        java.util.List<RawSelector> selectClause,
                        WhereClause whereClause,
                        Term.Raw limit,
                        Term.Raw perPartitionLimit)

### Method Detail

#### prepare

    public ParsedStatement.Prepared prepare(ClientState clientState)
                                     throws InvalidRequestException

Specified by:
  `prepare` in class `ParsedStatement`
Throws:
  `InvalidRequestException`

#### prepare

    public ParsedStatement.Prepared prepare(boolean forView,
                                            ClientState clientState)
                                     throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`